commit: 793a6eb4cc71310ec882d072e67341269eab2607
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 09:56:25 2016 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 09:56:25 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=793a6eb4
cmake-utils.eclass: reverse EAPI logic
Otherwise it will need updating for any new EAPI.
eclass/cmake-utils.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index c0f9cc8..d0df4a2 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -428,7 +428,7 @@ enable_cmake-utils_src_prepare() {
pushd "${S}" > /dev/null || die
- if has "${EAPI:-0}" 6 ; then
+ if ! has "${EAPI:-0}" 2 3 4 5 ; then
default_src_prepare
_cleanup_cmake
fi